webcollector在linux运行环境下找不到依赖?报错-问答-阿里云开发者社区-阿里云

开发者社区> 问答> 正文

webcollector在linux运行环境下找不到依赖?报错

爱吃鱼的程序员 2020-06-07 17:49:43 81

最近几天做项目用到了爬虫  就从开源中国找了个开源项目 webcollector 

在pox.xml中我引入了以来   正常windows开发环境下没问题 

<dependency>
            <groupId>cn.edu.hfut.dmic.webcollector</groupId>
            <artifactId>WebCollector</artifactId>
            <version>2.52</version>
        </dependency>

但是打成war包放在linux部署环境的tomcat下   

等执行爬虫时  就会报错

是不是我webcollector 引入依赖的方式不对  

如果是  那么应该怎么弄呢  

求好心人解答  感激不尽

 

数据采集 Linux 应用服务中间件 Windows
分享到
取消 提交回答
全部回答(1)
  • 爱吃鱼的程序员
    2020-06-07 17:49:54
                        <p>解决了  这个问题是程序没有权限创建 crawl文件夹  然后就会报错 </p>
    
    0 0
开发与运维
使用钉钉扫一扫加入圈子
+ 订阅

集结各类场景实战经验,助你开发运维畅行无忧

推荐文章
相似问题